import * as express from 'express';
import User from '../models/user'

export class UserController {
    login = (req: express.Request, res: express.Response) => {
        let username = req.body.username;
        let password = req.body.password;
        let type = req.body.type

        User.findOne({ 'korisnickoIme': username, 'lozinka': password, 'tip': type }).then(user=>{
            res.json(user)
        }).catch(err=>{
            console.log(err)
        })
    }

    getUser = (req: express.Request, res: express.Response) => {
        let username = req.body.username;

        User.findOne({ 'korisnickoIme': username }).then(user=>{
            res.json(user)
        }).catch(err=>{
            console.log(err)
        })
    }

    dodaj = (req: express.Request, res: express.Response) => {
        let username = req.body.username;
        let naziv = req.body.naziv;
        let cena = parseInt(req.body.cena);

        User.updateOne({ 'korisnickoIme': username }, { $push: { 'lista': { 'proizvod': naziv, 'cena': cena, 'kupio': null, 'anonimno': false } } }).then(ok=>{
            res.json({ 'msg': 'ok' })
        }).catch(err=>{
            res.json({ 'msg': err })
        })
        
    }

    dohvatiOstale = (req: express.Request, res: express.Response) => {
        let username = req.body.username;

        User.find({ $and: [{ 'korisnickoIme': { $ne: username } }, { 'tip': { $ne: 'administrator' } }] }).then(users=>{
            res.json(users)
        }).catch(err=>{
            console.log(err)
        })
    }

    kupiProizvod = (req: express.Request, res: express.Response) => {
        let username = req.body.username;
        let izabrani = req.body.birani;
        let proizvod = req.body.proizvod;
        let anonimno = parseInt(req.body.anonimno);

        User.findOne({ 'korisnickoIme': izabrani }).then(tmp=>{
            let cena = 0;
            let lista = tmp?.lista;

            lista?.forEach(l => {
                if (l.proizvod == proizvod) {
                    cena = l.cena;
                    l.kupio = username;
                    l.anonimno = anonimno == 1;
                }
            });

            User.updateOne({ 'korisnickoIme': izabrani }, { $set: { 'lista': lista } }).then(ok=>{})
            User.updateOne({ 'korisnickoIme': username }, { $inc: { 'naStanju': -cena, 'potroseno': cena } }).then(ok=>{
                res.json({ 'msg': 'ok' })
            })
            
        }).catch(err=>{
            console.log(err)
        })
    }

    uplati = (req: express.Request, res: express.Response) => {
        let username = req.body.username;

        User.updateOne({ 'korisnickoIme': username }, { $inc: { 'naStanju': 5000 } }).then(ok=>{
            res.json({ 'msg': 'ok' })
        }).catch(err=>{
            res.json({ 'msg': err })
        })
        
    }
}