import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import User from '../models/user';
import { UserService } from '../services/user.service';

@Component({
  selector: 'app-admin',
  templateUrl: './admin.component.html',
  styleUrls: ['./admin.component.css']
})
export class AdminComponent implements OnInit {

  constructor(private router: Router, private userService: UserService) { }

  korisnici: User[] = [];
  korisnik: User = new User();
  ngOnInit(): void {
    this.userService.getUser(localStorage.getItem("ulogovan")!).subscribe(u => {
      this.korisnik = u;
    })
    this.userService.getOtherUsers(localStorage.getItem("ulogovan")!).subscribe(u => {
      this.korisnici = u;
      this.korisnici.sort((a, b) => b.potroseno - a.potroseno)
    })
  }

  logout() {
    localStorage.removeItem("ulogovan")
    this.router.navigate([''])
  }

  uplati(k: string) {
    this.userService.uplati(k).subscribe(m => {
      if (m.msg != 'ok') {
        alert("Greska")
      } else {
        this.ngOnInit();
      }
    })
  }
}
