import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import User from '../models/user';
import { UserService } from '../services/user.service';

@Component({
  selector: 'app-lista-zelja',
  templateUrl: './lista-zelja.component.html',
  styleUrls: ['./lista-zelja.component.css']
})
export class ListaZeljaComponent implements OnInit {

  constructor(private userService: UserService, private router: Router) { }
  korisnik: User = new User();
  birani: User = new User();

  ngOnInit(): void {
    this.userService.getUser(localStorage.getItem("ulogovan")!).subscribe(u => {
      this.korisnik = u
    })
    this.userService.getUser(localStorage.getItem("birani")!).subscribe(u => {
      this.birani = u
    })
  }

  logout() {
    localStorage.removeItem("ulogovan")
    this.router.navigate([''])
  }

  nazad() {
    localStorage.removeItem("birani")
    this.router.navigate(['registrovani'])
  }

  kupi(p: string) {
    this.userService.kupiProizvod(this.birani.korisnickoIme, this.korisnik.korisnickoIme, 0, p).subscribe(m => {
      this.ngOnInit();
    })
  }

  kupiAnonimno(p: string) {
    this.userService.kupiProizvod(this.birani.korisnickoIme, this.korisnik.korisnickoIme, 1, p).subscribe(m => {
      this.ngOnInit();
    })
  }
}
