import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import User from '../models/user';
import { UserService } from '../services/user.service';

@Component({
  selector: 'app-login',
  templateUrl: './login.component.html',
  styleUrls: ['./login.component.css']
})
export class LoginComponent implements OnInit {

  constructor(private router: Router, private userService: UserService) { }
  username: string = "";
  password: string = "";
  error: string = "";
  admin: boolean = false;
  ngOnInit(): void {
  }

  login() {
    if (this.username == "" || this.password == "") {
      this.error = "Niste uneli sve podatke!";
      return;
    }
    this.error = "";
    this.userService.login(this.username, this.password, this.admin ? 'administrator' : 'registrovani').subscribe(k => {
      if (k) {
        localStorage.setItem("ulogovan", k.korisnickoIme)
        this.router.navigate([k.tip])
      } else {
        this.error = "Losi podaci!";
        return;
      }
    })

  }
}
