import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import User from '../models/user';
import { UserService } from '../services/user.service';

@Component({
  selector: 'app-registrovani',
  templateUrl: './registrovani.component.html',
  styleUrls: ['./registrovani.component.css']
})
export class RegistrovaniComponent implements OnInit {

  constructor(private router: Router, private userService: UserService) { }

  korisnik: User = new User();
  ostali: User[] = [];

  ngOnInit(): void {
    let ulogovan = localStorage.getItem("ulogovan");
    ulogovan = ulogovan == null ? "" : ulogovan;
    // ne bi nikada trebalo da bude null, ali upozorava okruzenje da moze da se desi da bude null,
    // jer moze da se desi da nije postavljen objekat u localStorage
    this.userService.getUser(ulogovan).subscribe(k => {
      this.korisnik = k;
    })
    this.userService.getOtherUsers(ulogovan).subscribe(m => {
      this.ostali = m;
    })
  }

  logout() {
    localStorage.clear()
    this.router.navigate([''])
  }

  naziv: string = "";
  cena: number = 0;
  error: string = "";

  dodaj() {
    if (this.naziv == "" || this.cena <= 0) {
      this.error = "Niste ispravno uneli podatke";
      return;
    }
    this.error = "";
    this.userService.dodaj(this.cena, this.naziv, this.korisnik.korisnickoIme).subscribe(m => {
      if (m.msg != 'ok') { alert("Greska") }
      else {
        this.ngOnInit();
      }
    })
  }

  error1: string = "";
  birani: string = "";

  vidiListu() {
    if (this.birani == "") {
      this.error1 = "Niste izabrali korisnika!";
      return;
    }
    this.error1 = "";
    localStorage.setItem("birani", this.birani);
    this.router.navigate(['listaZelja'])
  }
}
