import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import User from '../models/user';
import { Poruka } from '../models/poruka';

@Injectable({
  providedIn: 'root'
})
export class UserService {

  constructor(private http: HttpClient) { }

  uri = "http://localhost:4000/user";

  login(username: string, password: string, tip: string) {
    let data = {
      username: username, password: password, type: tip
    }
    return this.http.post<User>(`${this.uri}/login`, data)
  }

  getUser(username: string) {
    let data = {
      username: username
    }
    return this.http.post<User>(`${this.uri}/getUser`, data)
  }

  dodaj(cena: number, naziv: string, korisnik: string) {
    let data = {
      username: korisnik,
      naziv: naziv,
      cena: cena
    }
    return this.http.post<Poruka>(`${this.uri}/dodaj`, data)

  }

  getOtherUsers(korisnik: string) {
    let data = {
      username: korisnik,
    }
    return this.http.post<User[]>(`${this.uri}/dohvatiOstale`, data)
  }

  kupiProizvod(b: string, u: string, a: number, p: string) {
    let data = {
      birani: b,
      username: u,
      anonimno: a,
      proizvod: p
    }
    return this.http.post<Poruka>(`${this.uri}/kupiProizvod`, data)
  }

  uplati(k: string) {
    let data = {
      username: k
    }
    return this.http.post<Poruka>(`${this.uri}/uplati`, data)
  }
}
